---
title: zmq4
type: input
status: stable
categories: ["Network"]
---

<!--
     THIS FILE IS AUTOGENERATED!

     To make changes please edit the contents of:
     lib/input/zmq4.go
-->

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';


Consumes messages from a ZeroMQ socket.


<Tabs defaultValue="common" values={[
  { label: 'Common', value: 'common', },
  { label: 'Advanced', value: 'advanced', },
]}>

<TabItem value="common">

```yaml
# Common config fields, showing default values
input:
  zmq4:
    urls:
      - tcp://localhost:5555
    bind: false
    socket_type: PULL
    sub_filters: []
```

</TabItem>
<TabItem value="advanced">

```yaml
# All config fields, showing default values
input:
  zmq4:
    urls:
      - tcp://localhost:5555
    bind: false
    socket_type: PULL
    sub_filters: []
    high_water_mark: 0
    poll_timeout: 5s
```

</TabItem>
</Tabs>

ZMQ4 is supported but currently depends on C bindings. Since this is an
annoyance when building or using Benthos it is not compiled by default.

There is a specific docker tag postfix `-cgo` for C builds containing
ZMQ support.

You can also build it into your project by getting libzmq installed on your
machine, then build with the tag:

```sh
go install -tags "ZMQ4" github.com/Jeffail/benthos/v3/cmd/benthos
```

ZMQ4 input supports PULL and SUB sockets only. If there is demand for other
socket types then they can be added easily.

## Fields

### `urls`

A list of URLs to connect to. If an item of the list contains commas it will be expanded into multiple URLs.


Type: `array`  
Default: `["tcp://localhost:5555"]`  

### `bind`

Whether to bind to the specified URLs or connect.


Type: `bool`  
Default: `false`  

### `socket_type`

The socket type to connect as.


Type: `string`  
Default: `"PULL"`  
Options: `PULL`, `SUB`.

### `sub_filters`

A list of subscription topic filters to use when consuming from a SUB socket. Specifying a single sub_filter of `''` will subscribe to everything.


Type: `array`  
Default: `[]`  

### `high_water_mark`

The message high water mark to use.


Type: `number`  
Default: `0`  

### `poll_timeout`

The poll timeout to use.


Type: `string`  
Default: `"5s"`  


