---
title: whitelist
type: metrics
status: deprecated
---

<!--
     THIS FILE IS AUTOGENERATED!

     To make changes please edit the contents of:
     lib/metrics/whitelist.go
-->

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

:::warning DEPRECATED
This component is deprecated and will be removed in the next major version release. Please consider moving onto [alternative components](#alternatives).
:::

Whitelist metric paths within Benthos so that only matching metric paths are
aggregated by a child metric target.

```yaml
# Config fields, showing default values
metrics:
  whitelist:
    paths: []
    patterns: []
    child: {}
```

Whitelists can either be path prefixes or regular expression patterns, if either
a path prefix or regular expression matches a metric path it will be included.

Metrics must be matched using dot notation even if the chosen output uses a
different form. For example, the path would be 'foo.bar' rather than 'foo_bar'
even when sending metrics to Prometheus. A full list of metrics paths that
Benthos registers can be found in
[this list](/docs/components/metrics/about#paths).

## Fields

### `paths`

A list of path prefixes to include. This can be used, for example, to allow all of the child specific metrics paths from an output broker with the path `output.broker`.


Type: `array`  
Default: `[]`  

### `patterns`

A list of RE2 regular expressions to include. This can be used, for example, to allow all of the latency based metrics with the pattern `.*\.latency`.


Type: `array`  
Default: `[]`  

### `child`

A child metric type, this is where whitelisted metrics will be routed.


Type: `metrics`  
Default: `{}`  

## Debugging

In order to see logs breaking down which metrics are registered and whether they
pass your whitelists enable logging at the TRACE level.

