---
title: discord
type: output
status: experimental
categories: ["Services","Social"]
---

<!--
     THIS FILE IS AUTOGENERATED!

     To make changes please edit the contents of:
     lib/output/discord.go
-->

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

:::caution EXPERIMENTAL
This component is experimental and therefore subject to change or removal outside of major version releases.
:::
Writes messages to a Discord channel.


<Tabs defaultValue="common" values={[
  { label: 'Common', value: 'common', },
  { label: 'Advanced', value: 'advanced', },
]}>

<TabItem value="common">

```yaml
# Common config fields, showing default values
output:
  label: ""
  discord:
    channel_id: ""
    bot_token: ""
```

</TabItem>
<TabItem value="advanced">

```yaml
# All config fields, showing default values
output:
  label: ""
  discord:
    channel_id: ""
    bot_token: ""
    rate_limit: ""
```

</TabItem>
</Tabs>

This output POSTs messages to the `/channels/{channel_id}/messages` Discord API endpoint authenticated as a bot using token based authentication.

If the format of a message is a JSON object matching the [Discord API message type](https://discord.com/developers/docs/resources/channel#message-object) then it is sent directly, otherwise an object matching the API type is created with the content of the message added as a string.


## Fields

### `channel_id`

A discord channel ID to write messages to.


Type: `string`  

### `bot_token`

A bot token used for authentication.


Type: `string`  

### `rate_limit`

An optional rate limit resource to restrict API requests with.


Type: `string`  
Default: `""`  


